#include ONCE "window9.bi"

Sub SetScrollGadgetRange(iGadget as Long , iMinValue as Long , iMaxValue as Long) export
	
	dim as any ptr ScrollBar = GadgetID(iGadget)
	
	gtk_adjustment_set_lower(cast(any ptr, g_object_get_data( ScrollBar , "ScrollADJ")) ,iMinValue)
	
	gtk_adjustment_set_Upper(cast(any ptr, g_object_get_data( ScrollBar , "ScrollADJ")) ,iMaxValue)	
	
End Sub